#ifndef _STACK_INT_H
#define _STACK_INT_H

typedef struct stack_t stack_t;

stack_t * stack_create(int max_size);
int stack_destroy(stack_t *s);
int stack_push(stack_t *s, int val);
int stack_pop(stack_t *s,int *val);


#endif
